// -------------------------------------------------------------------------------------------------
// xsBarraProgreso.hpp
// -------------------------------------------------------------------------------------------------


// Inclusión de la Libreria
#include "xsEasyCpp.hpp"

#ifndef __xsBarraProgreso_hpp__
#define __xsBarraProgreso_hpp__

Clase xsBarraProgreso : Publica xsObjeto
{
	Publica:

		xsBarraProgreso();
        
		Vacio crear(xsOrientacion orientacion,
                    Doble         min,
                    Doble         max,
                    Doble         incremento);
						
	    xsBarraProgreso(xsOrientacion orientacion,
                        Doble         min,
                        Doble         max,
                        Doble         incremento);
		
		Vacio colocarValorRango(Doble valor);

		Doble obtenerValorRango();

        Vacio colocarIncremento(Doble incremento, Doble pagina);

        Vacio colocarRango(Doble minimo, Doble maximo);
};

// Fin de la Definición del Archivo
#endif
